Index: /branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 8888)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 8889)
@@ -113,13 +113,9 @@
    rn_blow_s        =   0.66          !  mesure of snow blowing into the leads
                                       !     = 1 => no snow blowing, < 1 => some snow blowing
-   nn_iceflx        =  -1             !  Redistribute heat flux over ice categories
+   nn_flxdist       =  -1             !  Redistribute heat flux over ice categories
                                       !     =-1  Do nothing (needs N(cat) fluxes)
-                                      !          ==> forced mode only
                                       !     = 0  Average N(cat) fluxes then apply the average over the N(cat) ice
-                                      !          ==> forced and coupled modes
                                       !     = 1  Average N(cat) fluxes then redistribute over the N(cat) ice using T-ice and albedo sensitivity
-                                      !          ==> forced mode only
                                       !     = 2  Redistribute a single flux over categories
-                                      !          ==> coupled mode only
    nice_jules       = 0               !  Jules coupling (0=OFF, 1=EMULATED, 2=ACTIVE)
 /
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8888)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8889)
@@ -189,5 +189,5 @@
                                           ! -- icethd -- !
    REAL(wp), PUBLIC ::   rn_cio           !: drag coefficient for oceanic stress
-   INTEGER , PUBLIC ::   nn_iceflx        !: Redistribute heat flux over ice categories
+   INTEGER , PUBLIC ::   nn_flxdist       !: Redistribute heat flux over ice categories
    !                                      !   =-1  Do nothing (needs N(cat) fluxes)
    !                                      !   = 0  Average N(cat) fluxes then apply the average over the N(cat) ice 
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90	(revision 8888)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90	(revision 8889)
@@ -142,10 +142,10 @@
       CASE( jp_blk )                !--- bulk formulation
                                 CALL blk_ice_flx( t_su, h_s, h_i, alb_ice )    ! 
-         IF( ln_mixcpl      )   CALL sbc_cpl_ice_flx( picefr=at_i_b, palbi=alb_ice, psst=sst_m, pist=t_su, phs=h_s, phi=h_i )
-         IF( nn_iceflx /= 2 )   CALL ice_flx_dist( t_su, alb_ice, qns_ice, qsr_ice, dqns_ice, evap_ice, devap_ice, nn_iceflx )
+         IF( ln_mixcpl       )  CALL sbc_cpl_ice_flx( picefr=at_i_b, palbi=alb_ice, psst=sst_m, pist=t_su, phs=h_s, phi=h_i )
+         IF( nn_flxdist /= 2 )  CALL ice_flx_dist( t_su, alb_ice, qns_ice, qsr_ice, dqns_ice, evap_ice, devap_ice, nn_flxdist )
          !
       CASE ( jp_purecpl )           !--- coupled formulation
                                 CALL sbc_cpl_ice_flx( picefr=at_i_b, palbi=alb_ice, psst=sst_m, pist=t_su, phs=h_s, phi=h_i )
-         IF( nn_iceflx == 2 )   CALL ice_flx_dist( t_su, alb_ice, qns_ice, qsr_ice, dqns_ice, evap_ice, devap_ice, nn_iceflx )
+         IF( nn_flxdist == 2 )  CALL ice_flx_dist( t_su, alb_ice, qns_ice, qsr_ice, dqns_ice, evap_ice, devap_ice, nn_flxdist )
          !
       END SELECT
@@ -155,8 +155,8 @@
          ELSEWHERE                   ;   zalb(:,:) = SUM( alb_ice * a_i_b, dim=3 ) / at_i_b
          END WHERE
-         CALL iom_put( "icealb" , zalb(:,:) )   ! ice albedo
-      ENDIF
-
-      IF( iom_use('albedo') ) THEN  !--- surface albedo
+         CALL iom_put( "icealb" , zalb(:,:) )
+      ENDIF
+
+      IF( iom_use('albedo') ) THEN    !--- output surface albedo
          zalb(:,:) = SUM( alb_ice * a_i_b, dim=3 ) + rn_alb_oce * ( 1._wp - at_i_b )
          CALL iom_put( "albedo" , zalb(:,:) )
@@ -267,5 +267,5 @@
       INTEGER ::   ios, ioptio   ! Local integer output status for namelist read
       !!
-      NAMELIST/namforcing/ rn_cio, rn_blow_s, nn_iceflx, nice_jules
+      NAMELIST/namforcing/ rn_cio, rn_blow_s, nn_flxdist, nice_jules
       !!-------------------------------------------------------------------
       !
@@ -286,23 +286,23 @@
          WRITE(numout,*) '      drag coefficient for oceanic stress              rn_cio     = ', rn_cio
          WRITE(numout,*) '      coefficient for ice-lead partition of snowfall   rn_blow_s  = ', rn_blow_s
-         WRITE(numout,*) '      Multicategory heat flux formulation              nn_iceflx  = ', nn_iceflx
+         WRITE(numout,*) '      Multicategory heat flux formulation              nn_flxdist = ', nn_flxdist
          WRITE(numout,*) '      Jules coupling (0=no, 1=emulated, 2=active)      nice_jules = ', nice_jules
       ENDIF
       !
       IF(lwp) WRITE(numout,*)
-      SELECT CASE( nn_iceflx )         ! ESIM Multi-category heat flux formulation
+      SELECT CASE( nn_flxdist )         ! ESIM Multi-category heat flux formulation
       CASE( -1  )
-         IF(lwp) WRITE(numout,*) '   ESIM: use per-category fluxes (nn_iceflx = -1) '
-         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for ESIM in coupled mode must be 0 or 2' )
+         IF(lwp) WRITE(numout,*) '   ESIM: use per-category fluxes (nn_flxdist = -1) '
+         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_flxdist for ESIM in coupled mode must be 0 or 2' )
       CASE(  0  )
-         IF(lwp) WRITE(numout,*) '   ESIM: use average per-category fluxes (nn_iceflx = 0) '
+         IF(lwp) WRITE(numout,*) '   ESIM: use average per-category fluxes (nn_flxdist = 0) '
       CASE(  1  )
-         IF(lwp) WRITE(numout,*) '   ESIM: use average then redistribute per-category fluxes (nn_iceflx = 1) '
-         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for ESIM in coupled mode must be 0 or 2' )
+         IF(lwp) WRITE(numout,*) '   ESIM: use average then redistribute per-category fluxes (nn_flxdist = 1) '
+         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_flxdist for ESIM in coupled mode must be 0 or 2' )
       CASE(  2  )
-         IF(lwp) WRITE(numout,*) '   ESIM: Redistribute a single flux over categories (nn_iceflx = 2) '
-         IF( .NOT. ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for ESIM in forced mode cannot be 2' )
+         IF(lwp) WRITE(numout,*) '   ESIM: Redistribute a single flux over categories (nn_flxdist = 2) '
+         IF( .NOT. ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_flxdist for ESIM in forced mode cannot be 2' )
       CASE DEFAULT
-         CALL ctl_stop( 'ice_thd_init: ESIM option, nn_iceflx, should be between -1 and 2' )
+         CALL ctl_stop( 'ice_thd_init: ESIM option, nn_flxdist, should be between -1 and 2' )
       END SELECT
       !