Index: branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90
===================================================================
--- branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90	(revision 8895)
+++ branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90	(revision 8904)
@@ -359,10 +359,8 @@
          ENDIF
          ! calendar control
-         IF(nn_timing == 2)  CALL timing_start('rst_put')
          CALL iom_rstput( kt, nitrst, numrow, 'kt'     , REAL( kt    , wp) )   ! time-step
          CALL iom_rstput( kt, nitrst, numrow, 'ndastp' , REAL( ndastp, wp) )   ! date
          CALL iom_rstput( kt, nitrst, numrow, 'adatrj' , adatrj            )   ! number of elapsed days since
          !                                                                     ! the begining of the run [s]
-         IF(nn_timing == 2)  CALL timing_stop('rst_put') 
       ENDIF
       !
Index: branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 8895)
+++ branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 8904)
@@ -909,5 +909,4 @@
          !                                           ! all cases !
          !                                           ! --------- !
-         IF(nn_timing == 2)  CALL timing_start('rst_put')
          CALL iom_rstput( kt, nitrst, numrow, 'fse3t_b', fse3t_b(:,:,:) )
          CALL iom_rstput( kt, nitrst, numrow, 'fse3t_n', fse3t_n(:,:,:) )
@@ -923,5 +922,5 @@
             CALL iom_rstput( kt, nitrst, numrow, 'hdiv_lf', hdiv_lf(:,:,:) )
          ENDIF
-         IF(nn_timing == 2)  CALL timing_stop('rst_put')
+
       ENDIF
       IF( nn_timing == 1 )  CALL timing_stop('dom_vvl_rst')
Index: branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90
===================================================================
--- branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 8895)
+++ branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 8904)
@@ -126,10 +126,8 @@
       
       !                                                         ! masks (inum2) 
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum2, 'tmask', tmask, ktype = jp_i1 )     !    ! land-sea mask
       CALL iom_rstput( 0, 0, inum2, 'umask', umask, ktype = jp_i1 )
       CALL iom_rstput( 0, 0, inum2, 'vmask', vmask, ktype = jp_i1 )
       CALL iom_rstput( 0, 0, inum2, 'fmask', fmask, ktype = jp_i1 )
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
       
       CALL dom_uniq( zprw, 'T' )
@@ -140,7 +138,5 @@
          END DO
       END DO                             !    ! unique point mask
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum2, 'tmaskutil', zprt, ktype = jp_i1 )  
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
       CALL dom_uniq( zprw, 'U' )
       DO jj = 1, jpj
@@ -150,7 +146,5 @@
          END DO
       END DO
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum2, 'umaskutil', zprt, ktype = jp_i1 )  
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
       CALL dom_uniq( zprw, 'V' )
       DO jj = 1, jpj
@@ -160,7 +154,5 @@
          END DO
       END DO
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum2, 'vmaskutil', zprt, ktype = jp_i1 )  
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
       CALL dom_uniq( zprw, 'F' )
       DO jj = 1, jpj
@@ -170,5 +162,4 @@
          END DO
       END DO
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum2, 'fmaskutil', zprt, ktype = jp_i1 )  
 
@@ -195,21 +186,14 @@
       
       CALL iom_rstput( 0, 0, inum3, 'ff', ff, ktype = jp_r8 )           !    ! coriolis factor
-      IF(nn_timing == 2)  CALL timing_stop('rst_put') 
+      
       ! note that mbkt is set to 1 over land ==> use surface tmask
       zprt(:,:) = ssmask(:,:) * REAL( mbkt(:,:) , wp )
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum4, 'mbathy', zprt, ktype = jp_i2 )     !    ! nb of ocean T-points
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
       zprt(:,:) = ssmask(:,:) * REAL( mikt(:,:) , wp )
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum4, 'misf', zprt, ktype = jp_i2 )       !    ! nb of ocean T-points
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
       zprt(:,:) = ssmask(:,:) * REAL( risfdep(:,:) , wp )
-      IF(nn_timing == 2)  CALL timing_start('rst_put')
       CALL iom_rstput( 0, 0, inum4, 'isfdraft', zprt, ktype = jp_r4 )       !    ! nb of ocean T-points
-      IF(nn_timing == 2)  CALL timing_stop('rst_put')
             
       IF( ln_sco ) THEN                                         ! s-coordinate
-         IF(nn_timing == 2)  CALL timing_start('rst_put')
          CALL iom_rstput( 0, 0, inum4, 'hbatt', hbatt )
          CALL iom_rstput( 0, 0, inum4, 'hbatu', hbatu )
@@ -233,5 +217,4 @@
          CALL iom_rstput( 0, 0, inum4, 'gdept_0', gdept_0, ktype = jp_r4 )     
          CALL iom_rstput( 0, 0, inum4, 'gdepw_0', gdepw_0, ktype = jp_r4 )     
-         IF(nn_timing == 2)  CALL timing_stop('rst_put')
       ENDIF
       
@@ -239,10 +222,8 @@
          !
          IF( nmsh <= 6 ) THEN                                   !    ! 3D vertical scale factors
-            IF(nn_timing == 2)  CALL timing_start('rst_put')
             CALL iom_rstput( 0, 0, inum4, 'e3t_0', e3t_0 )         
             CALL iom_rstput( 0, 0, inum4, 'e3u_0', e3u_0 )
             CALL iom_rstput( 0, 0, inum4, 'e3v_0', e3v_0 )
             CALL iom_rstput( 0, 0, inum4, 'e3w_0', e3w_0 )
-            IF(nn_timing == 2)  CALL timing_stop('rst_put')
          ELSE                                                   !    ! 2D masked bottom ocean scale factors
             DO jj = 1,jpj   
@@ -252,14 +233,10 @@
                END DO
             END DO
-            IF(nn_timing == 2)  CALL timing_start('rst_put')
             CALL iom_rstput( 0, 0, inum4, 'e3t_ps', e3tp )      
             CALL iom_rstput( 0, 0, inum4, 'e3w_ps', e3wp )
-            IF(nn_timing == 2)  CALL timing_stop('rst_put')
          END IF
          !
          IF( nmsh <= 3 ) THEN                                   !    ! 3D depth
-            IF(nn_timing == 2)  CALL timing_start('rst_put')
             CALL iom_rstput( 0, 0, inum4, 'gdept_0', gdept_0, ktype = jp_r4 )     
-            IF(nn_timing == 2)  CALL timing_stop('rst_put')
             DO jk = 1,jpk   
                DO jj = 1, jpjm1   
@@ -271,9 +248,7 @@
             END DO
             CALL lbc_lnk( zdepu, 'U', 1. )   ;   CALL lbc_lnk( zdepv, 'V', 1. ) 
-            IF(nn_timing == 2)  CALL timing_start('rst_put')
             CALL iom_rstput( 0, 0, inum4, 'gdepu', zdepu, ktype = jp_r4 )
             CALL iom_rstput( 0, 0, inum4, 'gdepv', zdepv, ktype = jp_r4 )
             CALL iom_rstput( 0, 0, inum4, 'gdepw_0', gdepw_0, ktype = jp_r4 )
-            IF(nn_timing == 2)  CALL timing_stop('rst_put')
          ELSE                                                   !    ! 2D bottom depth
             DO jj = 1,jpj   
@@ -283,26 +258,20 @@
                END DO
             END DO
-            IF(nn_timing == 2)  CALL timing_start('rst_put')
             CALL iom_rstput( 0, 0, inum4, 'hdept', zprt, ktype = jp_r4 )     
             CALL iom_rstput( 0, 0, inum4, 'hdepw', zprw, ktype = jp_r4 ) 
-            IF(nn_timing == 2)  CALL timing_stop('rst_put')
          ENDIF
          !
-         IF(nn_timing == 2)  CALL timing_start('rst_put')
          CALL iom_rstput( 0, 0, inum4, 'gdept_1d', gdept_1d )   !    ! reference z-coord.
          CALL iom_rstput( 0, 0, inum4, 'gdepw_1d', gdepw_1d )
          CALL iom_rstput( 0, 0, inum4, 'e3t_1d'  , e3t_1d   )
          CALL iom_rstput( 0, 0, inum4, 'e3w_1d'  , e3w_1d   )
-         IF(nn_timing == 2)  CALL timing_stop('rst_put')
       ENDIF
       
       IF( ln_zco ) THEN
          !                                                      ! z-coordinate - full steps
-         IF(nn_timing == 2)  CALL timing_start('rst_put')
          CALL iom_rstput( 0, 0, inum4, 'gdept_1d', gdept_1d )   !    ! depth
          CALL iom_rstput( 0, 0, inum4, 'gdepw_1d', gdepw_1d )
          CALL iom_rstput( 0, 0, inum4, 'e3t_1d'  , e3t_1d   )   !    ! scale factors
          CALL iom_rstput( 0, 0, inum4, 'e3w_1d'  , e3w_1d   )
-         IF(nn_timing == 2)  CALL timing_stop('rst_put')
       ENDIF
       !                                     ! ============================