Index: /branches/2017/dev_r8657_UKMO_OBSoper/DOC/TexFiles/Chapters/Chap_OBS.tex
===================================================================
--- /branches/2017/dev_r8657_UKMO_OBSoper/DOC/TexFiles/Chapters/Chap_OBS.tex	(revision 8920)
+++ /branches/2017/dev_r8657_UKMO_OBSoper/DOC/TexFiles/Chapters/Chap_OBS.tex	(revision 8921)
@@ -563,22 +563,22 @@
 For most observation types, the horizontal extent of the observation is small compared to the model grid size
 and so the model equivalent of the observation is calculated by interpolating from the four surrounding grid
-points to the observation location. Some satellite observations (e.g. microwave satellite SST data, or SSS data)
-have a footprint which is similar size or larger than the model grid size (particularly when the grid size is small). 
+points to the observation location. Some satellite observations (e.g. microwave satellite SST data, or satellite SSS data)
+have a footprint which is similar in size or larger than the model grid size (particularly when the grid size is small). 
 In those cases the model counterpart should be calculated by averaging the model grid points over the same size as the footprint.
 NEMO therefore has the capability to specify either an interpolation or an averaging (for surface observation types only). 
 
-The main namelist option associated with the interpolation/averaging is nn_2dint. This default option can be set to values from 0 to 6. 
+The main namelist option associated with the interpolation/averaging is \np{nn\_2dint}. This default option can be set to values from 0 to 6. 
 Values between 0 to 4 are associated with interpolation while values 5 or 6 are associated with averaging.
 \begin{itemize}
-\item n2dint=0: Distance-weighted interpolation
-\item n2dint=1: Distance-weighted interpolation (small angle)
-\item n2dint=2: Bilinear interpolation (geographical grid)
-\item n2dint=3: Bilinear remapping interpolation (general grid)
-\item n2dint=4: Polynomial interpolation
-\item n2dint=5: Radial footprint averaging with radius specified in the namelist as rn_???_avglamscl in degrees or metres (set using ln_???_fp_indegs)
-\item n2dint=6: Rectangular footprint averaging with E/W and N/S size specified in the namelist as rn_???_avglamscl and rn_???_avgphiscl in degrees or metres (set using ln_???_fp_indegs)
+\item \np{nn\_2dint}=0: Distance-weighted interpolation
+\item \np{nn\_2dint}=1: Distance-weighted interpolation (small angle)
+\item \np{nn\_2dint}=2: Bilinear interpolation (geographical grid)
+\item \np{nn\_2dint}=3: Bilinear remapping interpolation (general grid)
+\item \np{nn\_2dint}=4: Polynomial interpolation
+\item \np{nn\_2dint}=5: Radial footprint averaging with diameter specified in the namelist as \np{rn\_???\_avglamscl} in degrees or metres (set using \np{ln\_???\_fp\_indegs})
+\item \np{nn\_2dint}=6: Rectangular footprint averaging with E/W and N/S size specified in the namelist as \np{rn\_???\_avglamscl} and \np{rn\_???\_avgphiscl} in degrees or metres (set using \np{ln\_???\_fp\_indegs})
 \end{itemize}
 The ??? in the last two options indicate these options should be specified for each observation type for which the averaging is to be performed (see namelist example above).
-The n2dint default option can be overridden for surface observation types using namelist values nn_2dint_??? where ??? is one of sla,sst,sss,sic.
+The \np{nn\_2dint} default option can be overridden for surface observation types using namelist values \np{nn\_2dint\_???} where ??? is one of sla,sst,sss,sic.
 
 Below is some more detail on the various options for interpolation and averaging available in NEMO.
@@ -695,18 +695,19 @@
 \end{itemize}
 
+Examples of the weights calculated for an observation with rectangular and radial footprints are shown in Figs.~\ref{fig:obsavgrec} and~\ref{fig:obsavgrad}.
+
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}      \begin{center}
-\includegraphics[width=10cm,height=12cm]{Fig_OBS_avg_rec}
+\includegraphics[width=0.90\textwidth]{Fig_OBS_avg_rec}
 \caption{      \label{fig:obsavgrec}
-Weights associated with each model grid box (blue lines and numbers) for an observation at -170.5E, 56.0N with a footprint of $1\deg \time 1\deg$} 
+Weights associated with each model grid box (blue lines and numbers) for an observation at -170.5E, 56.0N with a rectangular footprint of 1\deg x 1\deg.}
 \end{center}      \end{figure}
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 
-
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}      \begin{center}
-\includegraphics[width=10cm,height=12cm]{Fig_OBS_avg_rad}
+\includegraphics[width=0.90\textwidth]{Fig_OBS_avg_rad}
 \caption{      \label{fig:obsavgrad}
-As for figure \ref{obsavgrec} but for a radial footprint with diameter $1\deg$.
+Weights associated with each model grid box (blue lines and numbers) for an observation at -170.5E, 56.0N with a radial footprint with diameter 1\deg.} 
 \end{center}      \end{figure}
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>