Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 8933)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 8934)
@@ -65,4 +65,8 @@
    !
    INTEGER , PUBLIC ::   nn_lsm         !: Number of iteration if seaoverland is applied
+   !
+   !                                   !!* namsbc_cpl namelist *
+   INTEGER , PUBLIC ::   nn_cats_cpl    !: Number of sea ice categories over which the coupling is carried out
+
    !!----------------------------------------------------------------------
    !!           switch definition (improve readability)
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 8933)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 8934)
@@ -116,5 +116,5 @@
    INTEGER, PARAMETER ::   jpr_ts_ice = 54   ! Sea ice surface temp
 
-   INTEGER, PARAMETER ::   jprcv      = 55   ! total number of fields received  
+   INTEGER, PARAMETER ::   jprcv      = 54   ! total number of fields received  
 
    INTEGER, PARAMETER ::   jps_fice   =  1   ! ice fraction sent to the atmosphere
@@ -159,6 +159,4 @@
    INTEGER, PARAMETER ::   jpsnd      = 38   ! total number of fields sent 
 
-   INTEGER :: nn_cats_cpl   ! number of sea ice categories over which the coupling is carried out
-
    !                                  !!** namelist namsbc_cpl **
    TYPE ::   FLD_C                     !   
@@ -171,22 +169,22 @@
    !                                   ! Send to the atmosphere  
    TYPE(FLD_C) ::   sn_snd_temp  , sn_snd_alb , sn_snd_thick, sn_snd_crt   , sn_snd_co2,  &
-      &             sn_snd_thick1, sn_snd_cond, sn_snd_mpnd , sn_snd_sstfrz, sn_snd_ttilyr         
+      &             sn_snd_thick1, sn_snd_cond, sn_snd_mpnd , sn_snd_sstfrz, sn_snd_ttilyr
    !                                   ! Received from the atmosphere
    TYPE(FLD_C) ::   sn_rcv_w10m, sn_rcv_taumod, sn_rcv_tau, sn_rcv_dqnsdt, sn_rcv_qsr,  &
       &             sn_rcv_qns , sn_rcv_emp   , sn_rcv_rnf, sn_rcv_ts_ice
-   TYPE(FLD_C) ::   sn_rcv_cal, sn_rcv_iceflx, sn_rcv_co2, sn_rcv_mslp, sn_rcv_icb, sn_rcv_isf                              
+   TYPE(FLD_C) ::   sn_rcv_cal, sn_rcv_iceflx, sn_rcv_co2, sn_rcv_mslp, sn_rcv_icb, sn_rcv_isf
    ! Send to waves 
    TYPE(FLD_C) ::   sn_snd_ifrac, sn_snd_crtw, sn_snd_wlev 
    ! Received from waves 
-   TYPE(FLD_C) ::   sn_rcv_hsig,sn_rcv_phioc,sn_rcv_sdrfx,sn_rcv_sdrfy,sn_rcv_wper,sn_rcv_wnum,sn_rcv_wstrf,sn_rcv_wdrag
+   TYPE(FLD_C) ::   sn_rcv_hsig, sn_rcv_phioc, sn_rcv_sdrfx, sn_rcv_sdrfy, sn_rcv_wper, sn_rcv_wnum, sn_rcv_wstrf, sn_rcv_wdrag
    !                                   ! Other namelist parameters
    INTEGER     ::   nn_cplmodel           ! Maximum number of models to/from which NEMO is potentialy sending/receiving data
    LOGICAL     ::   ln_usecplmask         !  use a coupling mask file to merge data received from several models
-                                         !   -> file cplmask.nc with the float variable called cplmask (jpi,jpj,nn_cplmodel)
+                                          !   -> file cplmask.nc with the float variable called cplmask (jpi,jpj,nn_cplmodel)
    TYPE ::   DYNARR     
       REAL(wp), POINTER, DIMENSION(:,:,:) ::   z3   
    END TYPE DYNARR
 
-   TYPE( DYNARR ), SAVE, DIMENSION(jprcv) ::   frcv                     ! all fields recieved from the atmosphere
+   TYPE( DYNARR ), SAVE, DIMENSION(jprcv) ::   frcv                ! all fields recieved from the atmosphere
 
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   alb_oce_mix    ! ocean albedo sent to atmosphere (mix clear/overcast sky)
@@ -261,13 +259,4 @@
       !
       CALL wrk_alloc( jpi,jpj,   zacs, zaos )
-
-      IF( ln_meto_cpl ) THEN
-         tsfc_ice(:,:,:) = 0.0
-         a_ip    (:,:,:) = 0.0
-         v_ip    (:,:,:) = 0.0
-         t1_ice  (:,:,:) = rt0
-         cnd_ice (:,:,:) = 0.0
-         sstfrz  (:,:)   = 0.0
-      ENDIF
 
       ! ================================ !
@@ -459,5 +448,5 @@
       SELECT CASE( TRIM( sn_rcv_emp%cldes ) )
       CASE( 'none'          )       ! nothing to do
-      CASE( 'oce only'      )   ;   srcv(                                 jpr_oemp   )%laction = .TRUE. 
+      CASE( 'oce only'      )   ;   srcv(jpr_oemp)%laction = .TRUE. 
       CASE( 'conservative'  )
          srcv( (/jpr_rain, jpr_snow, jpr_ievp, jpr_tevp/) )%laction = .TRUE.
@@ -503,6 +492,7 @@
       CASE default              ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_rcv_qns%cldes' )
       END SELECT
-      IF( TRIM( sn_rcv_qns%cldes ) == 'mixed oce-ice' .AND. jpl > 1 ) &
+      IF( TRIM( sn_rcv_qns%cldes ) == 'mixed oce-ice' .AND. nn_cats_cpl > 1 ) &
          CALL ctl_stop( 'sbc_cpl_init: sn_rcv_qns%cldes not currently allowed to be mixed oce-ice for multi-category ice' )
+      !
       !                                                      ! ------------------------- !
       !                                                      !    solar radiation        !   Qsr
@@ -519,6 +509,7 @@
       CASE default              ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_rcv_qsr%cldes' )
       END SELECT
-      IF( TRIM( sn_rcv_qsr%cldes ) == 'mixed oce-ice' .AND. jpl > 1 ) &
+      IF( TRIM( sn_rcv_qsr%cldes ) == 'mixed oce-ice' .AND. nn_cats_cpl > 1 ) &
          CALL ctl_stop( 'sbc_cpl_init: sn_rcv_qsr%cldes not currently allowed to be mixed oce-ice for multi-category ice' )
+      !
       !                                                      ! ------------------------- !
       !                                                      !   non solar sensitivity   !   d(Qns)/d(T)
@@ -534,6 +525,7 @@
 
       ! non solar sensitivity mandatory for mixed oce-ice solar radiation coupling technique
-      IF( TRIM( sn_rcv_dqnsdt%cldes ) == 'none' .AND. TRIM( sn_rcv_qns%cldes ) == 'mixed oce-ice' ) &
-         CALL ctl_stop( 'sbc_cpl_init: namsbc_cpl namelist mismatch between sn_rcv_qns%cldes and sn_rcv_dqnsdt%cldes' )
+      IF( TRIM( sn_rcv_dqnsdt%cldes ) == 'none' .AND. TRIM( sn_rcv_qns%cldes ) == 'mixed oce-ice' )  &
+         &   CALL ctl_stop( 'sbc_cpl_init: namsbc_cpl namelist mismatch between sn_rcv_qns%cldes and sn_rcv_dqnsdt%cldes' )
+      !
       !                                                      ! ------------------------- !
       !                                                      !      10m wind module      !   
@@ -546,5 +538,5 @@
       srcv(jpr_taum)%clname = 'O_TauMod'   ;   IF( TRIM(sn_rcv_taumod%cldes) == 'coupled' )   srcv(jpr_taum)%laction = .TRUE.
       lhftau = srcv(jpr_taum)%laction
-
+      !
       !                                                      ! ------------------------- !
       !                                                      !      Atmospheric CO2      !
@@ -558,12 +550,12 @@
          IF(lwp) WRITE(numout,*)
       ENDIF
-
+      !
       !                                                      ! ------------------------- ! 
       !                                                      ! Mean Sea Level Pressure   ! 
       !                                                      ! ------------------------- ! 
       srcv(jpr_mslp)%clname = 'O_MSLP'     ;   IF( TRIM(sn_rcv_mslp%cldes  ) == 'coupled' )    srcv(jpr_mslp)%laction = .TRUE. 
-
-      !                                                      ! ------------------------- !
-      !                                                      !   topmelt and botmelt     !   
+      !
+      !                                                      ! ------------------------- !
+      !                                                      !  ice topmelt and botmelt  !   
       !                                                      ! ------------------------- !
       srcv(jpr_topm )%clname = 'OTopMlt'
@@ -571,5 +563,5 @@
       IF( TRIM(sn_rcv_iceflx%cldes) == 'coupled' ) THEN
          IF ( TRIM( sn_rcv_iceflx%clcat ) == 'yes' ) THEN
-            srcv(jpr_topm:jpr_botm)%nct = jpl
+            srcv(jpr_topm:jpr_botm)%nct = nn_cats_cpl
          ELSE
             CALL ctl_stop( 'sbc_cpl_init: sn_rcv_iceflx%clcat should always be set to yes currently' )
@@ -577,12 +569,11 @@
          srcv(jpr_topm:jpr_botm)%laction = .TRUE.
       ENDIF
-      !                                                      ! ----------------------------- !
-
-      !!!!! To get NEMO4-LIM working at Met Office
-      srcv(jpr_ts_ice)%clname = 'OTsfIce'
+      !                                                      ! ------------------------- !
+      !                                                      !    ice skin temperature   !   
+      !                                                      ! ------------------------- !
+      srcv(jpr_ts_ice)%clname = 'OTsfIce'    ! needed by Met Office
       IF ( TRIM( sn_rcv_ts_ice%cldes ) == 'ice' )   srcv(jpr_ts_ice)%laction = .TRUE.
       IF ( TRIM( sn_rcv_ts_ice%clcat ) == 'yes' )   srcv(jpr_ts_ice)%nct     = nn_cats_cpl
       IF ( TRIM( sn_rcv_emp%clcat    ) == 'yes' )   srcv(jpr_ievp)%nct       = nn_cats_cpl
-      !!!!!
 
       !                                                      ! ------------------------- !
@@ -629,5 +620,4 @@
          cpl_wdrag = .TRUE.
       ENDIF
-      ! 
       !                                                      ! ------------------------------- !
       !                                                      !   OPA-SAS coupling - rcv by opa !   
@@ -755,5 +745,5 @@
       CASE( 'oce and ice' , 'weighted oce and ice' , 'oce and weighted ice' )
          ssnd( (/jps_toce, jps_tice/) )%laction = .TRUE.
-         IF ( TRIM( sn_snd_temp%clcat ) == 'yes' )  ssnd(jps_tice)%nct = jpl
+         IF ( TRIM( sn_snd_temp%clcat ) == 'yes' )  ssnd(jps_tice)%nct = nn_cats_cpl
       CASE( 'mixed oce-ice'                        )   ;   ssnd( jps_tmix )%laction = .TRUE.
       CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_temp%cldes' )
@@ -780,5 +770,4 @@
          alb_oce_mix(:,:) = ( zacs(:,:) + zaos(:,:) ) * 0.5
       ENDIF
-
       !                                                      ! ------------------------- !
       !                                                      !  Ice fraction & Thickness ! 
@@ -792,10 +781,9 @@
       ssnd(jps_fice1)%clname = 'OIceFrd'
       IF( k_ice /= 0 ) THEN
-         ssnd(jps_fice)%laction = .TRUE.                  ! if ice treated in the ocean (even in climato case)
-         ssnd(jps_fice1)%laction = .TRUE.                 ! First-order regridded ice concentration, to be used
-                                                          ! producing atmos-to-ice fluxes
+         ssnd(jps_fice)%laction  = .TRUE.                 ! if ice treated in the ocean (even in climato case)
+         ssnd(jps_fice1)%laction = .TRUE.                 ! First-order regridded ice concentration, to be used producing atmos-to-ice fluxes (Met Office requirement)
 ! Currently no namelist entry to determine sending of multi-category ice fraction so use the thickness entry for now
-         IF ( TRIM( sn_snd_thick%clcat  ) == 'yes' ) ssnd(jps_fice)%nct = jpl
-         IF ( TRIM( sn_snd_thick1%clcat ) == 'yes' ) ssnd(jps_fice1)%nct = jpl
+         IF ( TRIM( sn_snd_thick%clcat  ) == 'yes' ) ssnd(jps_fice)%nct  = nn_cats_cpl
+         IF ( TRIM( sn_snd_thick1%clcat ) == 'yes' ) ssnd(jps_fice1)%nct = nn_cats_cpl
       ENDIF
       
@@ -807,45 +795,42 @@
          ssnd(jps_hice:jps_hsnw)%laction = .TRUE.
          IF ( TRIM( sn_snd_thick%clcat ) == 'yes' ) THEN
-            ssnd(jps_hice:jps_hsnw)%nct = jpl
+            ssnd(jps_hice:jps_hsnw)%nct = nn_cats_cpl
          ENDIF
       CASE ( 'weighted ice and snow' ) 
          ssnd(jps_hice:jps_hsnw)%laction = .TRUE.
-         IF ( TRIM( sn_snd_thick%clcat ) == 'yes' ) ssnd(jps_hice:jps_hsnw)%nct = jpl
+         IF ( TRIM( sn_snd_thick%clcat ) == 'yes' ) ssnd(jps_hice:jps_hsnw)%nct = nn_cats_cpl
       CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_thick%cldes' )
       END SELECT
 
       !                                                      ! ------------------------- ! 
-      !                                                      ! Ice Meltponds             ! 
+      !                                                      !      Ice Meltponds        ! 
       !                                                      ! ------------------------- ! 
-
-
-      !!!!! Getting NEMO4-LIM to work at Met Office
-      ssnd(jps_a_p)%clname = 'OPndFrc'    
+      ! Needed by Met Office
+      ssnd(jps_a_p)%clname  = 'OPndFrc'    
       ssnd(jps_ht_p)%clname = 'OPndTck'    
       SELECT CASE ( TRIM( sn_snd_mpnd%cldes ) ) 
       CASE ( 'none' ) 
-         ssnd(jps_a_p)%laction = .FALSE. 
+         ssnd(jps_a_p)%laction  = .FALSE. 
          ssnd(jps_ht_p)%laction = .FALSE. 
       CASE ( 'ice only' )  
-         ssnd(jps_a_p)%laction = .TRUE. 
+         ssnd(jps_a_p)%laction  = .TRUE. 
          ssnd(jps_ht_p)%laction = .TRUE. 
          IF ( TRIM( sn_snd_mpnd%clcat ) == 'yes' ) THEN 
-            ssnd(jps_a_p)%nct = nn_cats_cpl 
+            ssnd(jps_a_p)%nct  = nn_cats_cpl 
             ssnd(jps_ht_p)%nct = nn_cats_cpl 
          ELSE 
-            IF ( jpl > 1 ) THEN 
+            IF ( nn_cats_cpl > 1 ) THEN 
                CALL ctl_stop( 'sbc_cpl_init: use weighted ice option for sn_snd_mpnd%cldes if not exchanging category fields' ) 
             ENDIF 
          ENDIF 
       CASE ( 'weighted ice' )  
-         ssnd(jps_a_p)%laction = .TRUE. 
+         ssnd(jps_a_p)%laction  = .TRUE. 
          ssnd(jps_ht_p)%laction = .TRUE. 
          IF ( TRIM( sn_snd_mpnd%clcat ) == 'yes' ) THEN 
-            ssnd(jps_a_p)%nct = nn_cats_cpl  
+            ssnd(jps_a_p)%nct  = nn_cats_cpl  
             ssnd(jps_ht_p)%nct = nn_cats_cpl  
          ENDIF 
       CASE default   ;   CALL ctl_stop( 'sbc_cpl_init: wrong definition of sn_snd_mpnd%cldes; '//sn_snd_mpnd%cldes ) 
       END SELECT 
-      !!!!!
  
       !                                                      ! ------------------------- !
@@ -899,19 +884,16 @@
       ssnd(jps_co2)%clname = 'O_CO2FLX' ;  IF( TRIM(sn_snd_co2%cldes) == 'coupled' )    ssnd(jps_co2 )%laction = .TRUE.
       ! 
-      
-      !!!!! Getting NEMO4-LIM to work at the Met Office
       !                                                      ! ------------------------- ! 
       !                                                      ! Sea surface freezing temp ! 
       !                                                      ! ------------------------- ! 
+      ! needed by Met Office
       ssnd(jps_sstfrz)%clname = 'O_SSTFrz' ; IF( TRIM(sn_snd_sstfrz%cldes) == 'coupled' )  ssnd(jps_sstfrz)%laction = .TRUE. 
-      !!!!!
-
       ! 
       !                                                      ! ------------------------- ! 
       !                                                      !    Ice conductivity       ! 
       !                                                      ! ------------------------- ! 
+      ! needed by Met Office
       ! Note that ultimately we will move to passing an ocean effective conductivity as well so there 
       ! will be some changes to the parts of the code which currently relate only to ice conductivity 
-
       ssnd(jps_ttilyr )%clname = 'O_TtiLyr' 
       SELECT CASE ( TRIM( sn_snd_ttilyr%cldes ) ) 
@@ -952,5 +934,4 @@
       END SELECT 
       ! 
-	    
       !                                                      ! ------------------------- ! 
       !                                                      !     Sea surface height    ! 
@@ -1119,10 +1100,8 @@
       REAL(wp) ::   zcdrag = 1.5e-3        ! drag coefficient
       REAL(wp) ::   zzx, zzy               ! temporary variables
-      REAL(wp), POINTER, DIMENSION(:,:) ::   ztx, zty, zmsk, zemp, zqns, zqsr
+      REAL(wp), DIMENSION(jpi,jpj) ::   ztx, zty, zmsk, zemp, zqns, zqsr
       !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )   CALL timing_start('sbc_cpl_rcv')
-      !
-      CALL wrk_alloc( jpi,jpj,   ztx, zty, zmsk, zemp, zqns, zqsr )
       !
       IF( ln_mixcpl )   zmsk(:,:) = 1. - xcplmask(:,:,0)
@@ -1196,5 +1175,4 @@
       !                                                      !    wind stress module     !   (taum)
       !                                                      ! ========================= !
-      !
       IF( .NOT. srcv(jpr_taum)%laction ) THEN                    ! compute wind stress module from its components if not received 
          ! => need to be done only when otx1 was changed
@@ -1223,5 +1201,4 @@
       !                                                      !      10 m wind speed      !   (wndm)
       !                                                      ! ========================= !
-      !
       IF( .NOT. srcv(jpr_w10m)%laction ) THEN                    ! compute wind spreed from wind stress module if not received  
          ! => need to be done only when taumod was changed
@@ -1259,8 +1236,10 @@
       !                                                      ! ================== !
       IF( srcv(jpr_co2)%laction )   atm_co2(:,:) = frcv(jpr_co2)%z3(:,:,1)
-      ! 
-
-      !!!!! Getting NEMO4-LIM to work at the Met Office
-      !  ! Sea ice surface skin temp: 
+      !
+      !                                                      ! ================== !
+      !                                                      !   ice skin temp.   !
+      !                                                      ! ================== !
+#if defined key_lim3
+      ! needed by Met Office
       IF( srcv(jpr_ts_ice)%laction ) THEN 
         DO jn = 1, jpl 
@@ -1278,11 +1257,8 @@
         END DO 
       ENDIF 
-      !!!!!
-
-
+#endif
       !                                                      ! ========================= ! 
       !                                                      ! Mean Sea Level Pressure   !   (taum) 
       !                                                      ! ========================= ! 
-      ! 
       IF( srcv(jpr_mslp)%laction ) THEN                    ! UKMO SHELF effect of atmospheric pressure on SSH 
           IF( kt /= nit000 )   ssh_ibb(:,:) = ssh_ib(:,:)    !* Swap of ssh_ib fields 
@@ -1460,6 +1436,4 @@
          !
       ENDIF
-      !
-      CALL wrk_dealloc( jpi,jpj,   ztx, zty, zmsk, zemp, zqns, zqsr )
       !
       IF( nn_timing == 1 )   CALL timing_stop('sbc_cpl_rcv')
@@ -1506,11 +1480,9 @@
       INTEGER ::   ji, jj   ! dummy loop indices
       INTEGER ::   itx      ! index of taux over ice
-      REAL(wp), POINTER, DIMENSION(:,:) ::   ztx, zty 
+      REAL(wp), DIMENSION(jpi,jpj) ::   ztx, zty 
       !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )   CALL timing_start('sbc_cpl_ice_tau')
       !
-      CALL wrk_alloc( jpi,jpj,   ztx, zty )
-
       IF( srcv(jpr_itx1)%laction ) THEN   ;   itx =  jpr_itx1   
       ELSE                                ;   itx =  jpr_otx1
@@ -1671,6 +1643,4 @@
       ENDIF
       !   
-      CALL wrk_dealloc( jpi,jpj,   ztx, zty )
-      !
       IF( nn_timing == 1 )   CALL timing_stop('sbc_cpl_ice_tau')
       !
@@ -2093,5 +2063,6 @@
          dqns_ice(:,:,:) = zdqns_ice(:,:,:)
       ENDIF
-      
+
+#if defined key_lim3      
       IF( ln_meto_cpl ) THEN
          !                                                      ! ========================= !
@@ -2104,6 +2075,4 @@
       ENDIF
 
-
-#if defined key_lim3
       !                                                      ! ========================= !
       !                                                      !      Transmitted Qsr      !   [W/m2]
@@ -2147,13 +2116,10 @@
       INTEGER ::   isec, info   ! local integer
       REAL(wp) ::   zumax, zvmax
-      REAL(wp), POINTER, DIMENSION(:,:)   ::   zfr_l, ztmp1, ztmp2, zotx1, zoty1, zotz1, zitx1, zity1, zitz1
-      REAL(wp), POINTER, DIMENSION(:,:,:) ::   ztmp3, ztmp4   
+      REAL(wp), DIMENSION(jpi,jpj)     ::   zfr_l, ztmp1, ztmp2, zotx1, zoty1, zotz1, zitx1, zity1, zitz1
+      REAL(wp), DIMENSION(jpi,jpj,jpl) ::   ztmp3, ztmp4   
       !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )   CALL timing_start('sbc_cpl_snd')
       !
-      CALL wrk_alloc( jpi,jpj,       zfr_l, ztmp1, ztmp2, zotx1, zoty1, zotz1, zitx1, zity1, zitz1 )
-      CALL wrk_alloc( jpi,jpj,jpl,   ztmp3, ztmp4 )
-
       isec = ( kt - nit000 ) * NINT( rdt )        ! date of exchanges
 
@@ -2221,4 +2187,5 @@
       ENDIF
 
+#if defined key_lim3
       !!!!! Getting NEMO4-LIM working at Met Office
       ! Top layer ice temperature
@@ -2232,5 +2199,5 @@
       ENDIF
       !!!!!
-
+#endif
 
       !                                                      ! ------------------------- !
@@ -2347,4 +2314,5 @@
       ENDIF
 
+#if defined key_lim3
       ! NEMO4 - Jules coupling - Met Office
       ! Send meltpond fields  
@@ -2390,5 +2358,5 @@
       !   
       !!!!!
-
+#endif
 
       !                                                      ! ------------------------- !
@@ -2713,11 +2681,10 @@
       IF( ssnd(jps_taum  )%laction )  CALL cpl_snd( jps_taum  , isec, RESHAPE ( taum, (/jpi,jpj,1/) ), info )
 
+#if defined key_lim3
       ! NEMO4 - Jules coupling - Met Office
       CALL eos_fzp(tsn(:,:,1,jp_sal), sstfrz)
       ztmp1(:,:) = sstfrz(:,:) + rt0
       IF( ssnd(jps_sstfrz)%laction )  CALL cpl_snd( jps_sstfrz, isec, RESHAPE ( ztmp1, (/jpi,jpj,1/) ), info)
-
-      CALL wrk_dealloc( jpi,jpj,       zfr_l, ztmp1, ztmp2, zotx1, zoty1, zotz1, zitx1, zity1, zitz1 )
-      CALL wrk_dealloc( jpi,jpj,jpl,   ztmp3, ztmp4 )
+#endif
       !
       IF( nn_timing == 1 )   CALL timing_stop('sbc_cpl_snd')