Index: branches/2017/dev_CNRS_2017/DOC/TexFiles/Chapters/Chap_CFG.tex
===================================================================
--- branches/2017/dev_CNRS_2017/DOC/TexFiles/Chapters/Chap_CFG.tex	(revision 8930)
+++ branches/2017/dev_CNRS_2017/DOC/TexFiles/Chapters/Chap_CFG.tex	(revision 8938)
@@ -24,7 +24,4 @@
 research purposes. The reference configurations also provide a sense for some of the options available 
 in the code, though by no means are all options exercised in the reference configurations.
-
-Configuration is defined mainly through the \ngn{namcfg}  namelist variables:
-\sfcomment {Here change namcfg part of namelist. Configuration is defined throughout domain\_cfg.nc file now}  
 
 %------------------------------------------namcfg----------------------------------------------------
@@ -89,8 +86,9 @@
 the LIM sea-ice model (ORCA-LIM) and possibly with PISCES biogeochemical model 
 (ORCA-LIM-PISCES), using various resolutions.
-The appropriate namelist is available in \textit{CONFIG/ORCA2\_LIM3\_PISCES/EXP00/namelist\_cfg} 
-for ORCA2 and in \textit{CONFIG/SHARED/README\_configs\_namcfg\_namdom}  \sfcomment {not really true, they are obsolete namelists, where find these informations?}  
-for other resolutions
-
+An appropriate namelist is available in \textit{CONFIG/ORCA2\_LIM3\_PISCES/EXP00/namelist\_cfg} 
+for ORCA2.
+The domain of ORCA2 configuration is defined in ORCA\_R2\_zps\_domcfg.nc file, this file is available in tar file in the wiki of NEMO : \\
+https://forge.ipsl.jussieu.fr/nemo/wiki/Users/ReferenceConfigurations/ORCA2\_LIM3\_PISCES \\
+In this namelist\_cfg the name of domain input file is set in \ngn{namcfg} block of namelist. 
 
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -157,7 +155,6 @@
 The NEMO system is provided with five built-in ORCA configurations which differ in the 
 horizontal resolution. The value of the resolution is given by the resolution at the Equator 
-expressed in degrees. Each of configuration is set through the \textit{domain\_cfg} file, 
-which sets the grid size and configuration name parameters \sfcomment {I would like to change tab_ORCA but I can not find it, wrong jp_cfg}  
- (Tab. \ref{Tab_ORCA}).
+expressed in degrees. Each of configuration is set through the \textit{domain\_cfg} domain configuration file, 
+which sets the grid size and configuration name parameters. The NEMO System Team provides only ORCA2 domain input file "ORCA\_R2\_zps\_domcfg.nc" file  (Tab. \ref{Tab_ORCA}).
 
 
@@ -179,6 +176,6 @@
 \end{tabular}
 \caption{ \label{Tab_ORCA}   
-Set of predefined parameters for ORCA family configurations.
-In all cases, the flag for configurations of ORCA family is set to 1 in \textit{domain\_cfg}  }
+Domain size of ORCA family configurations.
+The flag for configurations of ORCA family need to be set in \textit{domain\_cfg} file. }
 \end{center}
 \end{table}
Index: branches/2017/dev_CNRS_2017/DOC/TexFiles/Chapters/Chap_DOM.tex
===================================================================
--- branches/2017/dev_CNRS_2017/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 8930)
+++ branches/2017/dev_CNRS_2017/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 8938)
@@ -268,6 +268,5 @@
 
 The total size of the computational domain is set by the parameters \np{jpiglo}, 
-\np{jpjglo} and \np{jpkglo} in the $i$, $j$ and $k$ directions respectively. They are 
-given as namelist variables in the \ngn{namcfg} namelist. 
+\np{jpjglo} and \np{jpkglo} in the $i$, $j$ and $k$ directions respectively. 
 %%%
 %%%
@@ -278,18 +277,4 @@
 
 $\ $\newline    % force a new line
-
-%%%
-\sfcomment {Hereafter I want to create new subsection 4.2: "fields needed by opa engine or something like this"
-and add list of fields :
-case 1: read in domain.nc
-case 2: defined in userdef\_hrg\/zgr.F90
-longitude, latitude, domaine size 
-number of points
-factor scales (e1, e2, e3)
-coriolis
-k\_top, k\_bottom (first and last ocean level)
-periodicity
-}
-%%%
 
 % ================================================================
@@ -303,55 +288,29 @@
 The grid-points are located at integer or integer and a half values of as indicated 
 in Table~\ref{Tab_cell}. The associated scale factors are defined using the  
-analytical first derivative of the transformation \eqref{Eq_scale_factors}. These 
-definitions are done in two modules given by example, \mdl{userdef\_hgr} and \mdl{userdef\_zgr}, which 
-provide the horizontal and vertical meshes, respectively. Otherwise all needed fields can be read in file \np{cn\_domcfg} specified in \ngn{namcfg}.
+analytical first derivative of the transformation \eqref{Eq_scale_factors}. 
+Necessary fields for configuration definition are: \\
+Geographic position :
+
+longitude : glamt , glamu , glamv and glamf  (at T, U, V and F point)
+
+latitude : gphit , gphiu , gphiv and gphif (at T, U, V and F point)\\
+Coriolis parameter (if domain not on the sphere): 
+
+ ff\_f  and  ff\_t (at T and F point)\\
+Scale factors : 
  
-The needed fields for domain are: 
-
-geographic position :
-
-longitude : glamt , glamu , glamv and glamf  (at T, U, V and F point)
-
-latitude : gphit , gphiu , gphiv and gphif (at T, U, V and F point)
-
-Coriolis parameter (if domain not on the sphere):  ff\_f  and  ff\_t (at T and F point)
-
-Scale factors : e1t, e1u, e1v and e1f (on i direction),
-
-   e2t, e2u, e2v and e2f (on j direction)
-
-   and ie1e2u\_v, e1e2u , e1e2v   
-
-%%%
-\sfcomment {
-say something about ie1e2u\_v, e1e2u , e1e2v
-
-and add list of fields :
-case 1: read in domain.nc
-case 2: defined in userdef\_hrg\/zgr.F90
-longitude, latitude, domaine size
-number of points
-factor scales (e1, e2, e3)
-coriolis
-k\_top, k\_bottom (first and last ocean level)
-periodicity
-----
-        int ORCA ;
-   int ORCA\_index ;
-   int jpiglo ; j, k
-   int jperio ;
-   int ln_zco ; zps, sco
-   int ln_isfcav ;
-   double glamt(t, y, x) ; u,v,f
-   double gphit(t, y, x) ; u,v,f
-   double e1t(t, y, x) ; u,v,w,
-   double e2t(t, y, x) ; u,v,w
-   double ff\_f(t, y, x) ;  double ff\_t(t, y, x) ;
-   double e3t\_1d(t, z) ;
-   double e3w\_1d(t, z) ;
-   double e3t\_0(t, z, y, x) ; u0, v0 , w0
-----
-}
-
+ e1t, e1u, e1v and e1f (on i direction),
+
+ e2t, e2u, e2v and e2f (on j direction)
+
+ and ie1e2u\_v, e1e2u , e1e2v   
+ 
+e1e2u , e1e2v are u and v surfaces (if gridsize reduction in some straits)\\
+ie1e2u\_v is a flag to flag set u and  v surfaces are neither read nor computed.\\
+ 
+These fields can be read in an domain input file which name is setted in \np{cn\_domcfg} parameter specified in \ngn{namcfg}.
+\namdisplay{namcfg}
+or they can be defined in an analytical way in MY\_SRC directory of the configuration.
+For Reference Configurations of NEMO input domain files are supplied by NEMO System Team. For analytical definition of input fields two routines are supplied: \mdl{userdef\_hgr} and \mdl{userdef\_zgr}. They are an example of GYRE configuration parameters, and they are available in NEMO/OPA\_SRC/USR directory, they provide the horizontal and vertical mesh. 
 % -------------------------------------------------------------------------------------------------------------
 %        Needed fields 
@@ -445,4 +404,7 @@
 \subsection{Choice of horizontal grid}
 \label{DOM_hgr_msh_choice}
+
+
+CAUTION! This part need to be rewritten! no jphgr\_mesh anymore 
 
 The user has three options available in defining a horizontal grid, which involve 
Index: branches/2017/dev_CNRS_2017/DOC/TexFiles/Top_Matter.tex
===================================================================
--- branches/2017/dev_CNRS_2017/DOC/TexFiles/Top_Matter.tex	(revision 8930)
+++ branches/2017/dev_CNRS_2017/DOC/TexFiles/Top_Matter.tex	(revision 8938)
@@ -17,5 +17,5 @@
 %\date{\today}
 \date{
-January 2017  \\
+Decembre 2017  \\
 {\small  -- version 4.0 alpha --} \\
 ~  \\