Index: branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 8946)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 8948)
@@ -187,5 +187,4 @@
    ln_cpl      = .false.   !  atmosphere coupled   formulation          ( requires key_oasis3 )
    ln_mixcpl   = .false.   !  forced-coupled mixed formulation          ( requires key_oasis3 )
-   ln_meto_cpl = .false.   !  Met-Office coupling specifics
    nn_components = 0       !  configuration of the opa-sas OASIS coupling
                            !  =0 no opa-sas OASIS coupling: default single executable config.
Index: branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90	(revision 8946)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90	(revision 8948)
@@ -19,5 +19,5 @@
    USE ice            ! sea-ice variables
    USE dom_oce        ! ocean domain
-   USE sbc_oce , ONLY : nn_fsbc, ln_meto_cpl
+   USE sbc_oce , ONLY : nn_fsbc, ln_cpl
    USE icectl
    !
@@ -146,6 +146,6 @@
       CALL iom_rstput( iter, nitrst, numriw, 'u_ice', u_ice ) ! u_ice
       CALL iom_rstput( iter, nitrst, numriw, 'v_ice', v_ice ) ! v_ice
-      ! fields needed for Jules coupling
-      IF (ln_meto_cpl) THEN
+      ! fields needed for Met Office (Jules) coupling
+      IF( ln_cpl ) THEN
          CALL iom_rstput( iter, nitrst, numriw, 'cnd_ice', cnd_ice )
          CALL iom_rstput( iter, nitrst, numriw, 't1_ice' , t1_ice  )
@@ -233,6 +233,6 @@
       CALL iom_get( numrir, jpdom_autoglo, 'u_ice', u_ice )
       CALL iom_get( numrir, jpdom_autoglo, 'v_ice', v_ice )
-      ! fields needed for Jules coupling
-      IF (ln_meto_cpl) THEN
+      ! fields needed for Met Office (Jules) coupling
+      IF( ln_cpl ) THEN
          CALL iom_get( numrir, jpdom_autoglo, 'cnd_ice', cnd_ice )
          CALL iom_get( numrir, jpdom_autoglo, 't1_ice' , t1_ice  )
Index: branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 8946)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 8948)
@@ -41,5 +41,4 @@
    LOGICAL , PUBLIC ::   ln_cpl         !: ocean-atmosphere coupled formulation
    LOGICAL , PUBLIC ::   ln_mixcpl      !: ocean-atmosphere forced-coupled mixed formulation
-   LOGICAL , PUBLIC ::   ln_meto_cpl    !: Met Office coupling formulation, with surface exchange carried out in atmosphere
    LOGICAL , PUBLIC ::   ln_dm2dc       !: Daily mean to Diurnal Cycle short wave (qsr)
    LOGICAL , PUBLIC ::   ln_rnf         !: runoffs / runoff mouths
Index: branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 8946)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 8948)
@@ -518,10 +518,4 @@
       IF( TRIM( sn_rcv_dqnsdt%cldes ) == 'coupled' )   srcv(jpr_dqnsdt)%laction = .TRUE.
       !
-      ! non solar sensitivity mandatory for LIM ice model
-      IF (.NOT. ln_meto_cpl) THEN
-         IF( TRIM( sn_rcv_dqnsdt%cldes ) == 'none' .AND. k_ice /= 0 .AND. k_ice /= 3 .AND. nn_components /= jp_iam_sas )  &
-            &   CALL ctl_stop( 'sbc_cpl_init: sn_rcv_dqnsdt%cldes must be coupled in namsbc_cpl namelist' )
-      ENDIF
-
       ! non solar sensitivity mandatory for mixed oce-ice solar radiation coupling technique
       IF( TRIM( sn_rcv_dqnsdt%cldes ) == 'none' .AND. TRIM( sn_rcv_qns%cldes ) == 'mixed oce-ice' )  &
@@ -2056,14 +2050,12 @@
 
 #if defined key_lim3      
-      IF( ln_meto_cpl ) THEN
-         !                                                   ! ========================= !
-         SELECT CASE( TRIM( sn_rcv_iceflx%cldes ) )          !  ice topmelt and botmelt  !
-         !                                                   ! ========================= !
-         CASE ('coupled')
-            qml_ice(:,:,:) = frcv(jpr_topm)%z3(:,:,:) * a_i(:,:,:)
-            qcn_ice(:,:,:) = frcv(jpr_botm)%z3(:,:,:) * a_i(:,:,:)
-         END SELECT
-      ENDIF
-
+      !                                                      ! ========================= !
+      SELECT CASE( TRIM( sn_rcv_iceflx%cldes ) )             !  ice topmelt and botmelt  !
+      !                                                      ! ========================= !
+      CASE ('coupled')
+         qml_ice(:,:,:) = frcv(jpr_topm)%z3(:,:,:) * a_i(:,:,:)
+         qcn_ice(:,:,:) = frcv(jpr_botm)%z3(:,:,:) * a_i(:,:,:)
+      END SELECT
+      !
       !                                                      ! ========================= !
       !                                                      !      Transmitted Qsr      !   [W/m2]
Index: branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 8946)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 8948)
@@ -92,5 +92,5 @@
       NAMELIST/namsbc/ nn_fsbc  ,                                                    &
          &             ln_usr   , ln_flx   , ln_blk       ,                          &
-         &             ln_cpl   , ln_mixcpl, ln_meto_cpl  , nn_components,           &
+         &             ln_cpl   , ln_mixcpl, nn_components,                          &
          &             nn_ice   , ln_ice_embd,                                       &
          &             ln_traqsr, ln_dm2dc ,                                         &
@@ -138,5 +138,4 @@
          WRITE(numout,*) '         mixed forced-coupled     formulation       ln_mixcpl     = ', ln_mixcpl
 !!gm  lk_oasis is controlled by key_oasis3  ===>>>  It shoud be removed from the namelist 
-         WRITE(numout,*) '         Met Office coupling specifics              ln_meto_cpl   = ', ln_meto_cpl
          WRITE(numout,*) '         OASIS coupling (with atm or sas)           lk_oasis      = ', lk_oasis
          WRITE(numout,*) '         components of your executable              nn_components = ', nn_components