Index: branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 8948)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 8959)
@@ -13,5 +13,5 @@
    nn_euler    =       1   !  = 0 : start with forward time step if ln_rstart=.true.
    cn_ocerst_in   = "amm12_restart_oce"   !  suffix of ocean restart name (input)
-   cn_ocerst_out  = "restart_oce_out"   !  suffix of ocean restart name (input)
+   cn_ocerst_out  = "restart"             !  suffix of ocean restart name (input)
    nn_stock    =    1296   !  frequency of creation of a restart file (modulo referenced to 1)
    nn_write    =     144   !  frequency of write in the output file   (modulo referenced to nit000) 
Index: branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/cpp_ORCA2_LIM3_PISCES.fcm
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/cpp_ORCA2_LIM3_PISCES.fcm	(revision 8948)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/cpp_ORCA2_LIM3_PISCES.fcm	(revision 8959)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_lim3 key_iomput key_mpp_mpi key_nosignedzero 
+bld::tool::fppkeys   key_lim3 key_top key_iomput key_mpp_mpi key_nosignedzero
Index: branches/2017/dev_CNRS_2017/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/SETTE/sette.sh	(revision 8948)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/SETTE/sette.sh	(revision 8959)
@@ -353,6 +353,6 @@
     set_namelist namelist_top_cfg nn_rsttr 2
     set_namelist namelist_cfg cn_ocerst_in \"O2L3P_LONG_00000075_restart\"
+    set_namelist namelist_top_cfg cn_trcrst_in \"O2L3P_LONG_00000075_restart_trc\"
     set_namelist namelist_ice_cfg cn_icerst_in \"O2L3P_LONG_00000075_restart_ice\"
-    set_namelist namelist_top_cfg cn_trcrst_in \"O2L3P_LONG_00000075_restart_trc\"
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust
     # if not you need input files, and for tests is not necessary
@@ -397,4 +397,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2L3P_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -441,4 +442,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2L3P_84\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -580,4 +582,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"OFFP_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 40
@@ -620,4 +623,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"OFFP_84\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 40
@@ -668,4 +672,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AMM12_LONG\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 576
@@ -691,4 +696,5 @@
     . ./prepare_exe_dir.sh
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AMM12_SHORT\"
     set_namelist namelist_cfg nn_it000 289
     set_namelist namelist_cfg nn_itend 576
@@ -703,10 +709,10 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg cn_ocerst_in \"AMM12_00000288_restart_oce_out\"
+    set_namelist namelist_cfg cn_ocerst_in \"AMM12_LONG_00000288_restart\"
     set_namelist namelist_cfg nn_date0 20120102
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/AMM12_00000288_restart_oce_out_${L_NPROC}.nc .
+        ln -sf ../LONG/AMM12_LONG_00000288_restart_${L_NPROC}.nc .
     done
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -731,4 +737,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AMM12_84\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 576
@@ -757,4 +764,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AMM12_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 576
@@ -873,4 +881,6 @@
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .false.
+    set_namelist namelist_cfg ln_icebergs .false.
+    set_namelist namelist_cfg ln_bergdia .false.
     #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     set_namelist namelist_cfg ln_non_lin .false.
@@ -900,4 +910,6 @@
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .false.
+    set_namelist namelist_cfg ln_bergdia .false.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     set_namelist namelist_cfg ln_non_lin .false.
@@ -939,5 +951,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ISOMIP_14\"
+    set_namelist namelist_cfg cn_exp \"ISOMIP_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 48
@@ -945,4 +957,6 @@
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .false.
+    set_namelist namelist_cfg ln_bergdia .false.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     set_namelist namelist_cfg ln_non_lin .false.
@@ -969,5 +983,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ISOMIP_22\"
+    set_namelist namelist_cfg cn_exp \"ISOMIP_84\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 48
@@ -975,4 +989,6 @@
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .false.
+    set_namelist namelist_cfg ln_bergdia .false.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     set_namelist namelist_cfg ln_non_lin .false.
@@ -1009,4 +1025,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2L3OBS_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -1062,4 +1079,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2L3OBS_84\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -1122,5 +1140,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2LP_LONG\"
+    set_namelist namelist_cfg cn_exp \"O2AGRIF_LONG\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 150
@@ -1135,5 +1153,5 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg jpnij 4
-    set_namelist 1_namelist_cfg cn_exp \"O2LP_LONG\"
+    set_namelist 1_namelist_cfg cn_exp \"O2AGRIF_LONG\"
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 300
@@ -1160,5 +1178,5 @@
     . ./prepare_exe_dir.sh
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2LP_SHORT\"
+    set_namelist namelist_cfg cn_exp \"O2AGRIF_SHORT\"
     set_namelist namelist_cfg nn_it000 76
     set_namelist namelist_cfg nn_itend 150
@@ -1175,5 +1193,5 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg jpnij 4
-    set_namelist 1_namelist_cfg cn_exp \"O2LP_SHORT\"
+    set_namelist 1_namelist_cfg cn_exp \"O2AGRIF_SHORT\"
     set_namelist 1_namelist_cfg nn_it000 151
     set_namelist 1_namelist_cfg nn_itend 300
@@ -1188,16 +1206,16 @@
     set_namelist 1_namelist_cfg ln_hpg_sco .false.
     set_namelist 1_namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg cn_ocerst_in \"O2LP_LONG_00000075_restart\"
-    set_namelist namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
-    set_namelist 1_namelist_cfg cn_ocerst_in \"O2LP_LONG_00000150_restart\"
-    set_namelist 1_namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000150_restart_ice\"
+    set_namelist namelist_cfg cn_ocerst_in \"O2AGRIF_LONG_00000075_restart\"
+    set_namelist namelist_ice_cfg cn_icerst_in \"O2AGRIF_LONG_00000075_restart_ice\"
+    set_namelist 1_namelist_cfg cn_ocerst_in \"O2AGRIF_LONG_00000150_restart\"
+    set_namelist 1_namelist_ice_cfg cn_icerst_in \"O2AGRIF_LONG_00000150_restart_ice\"
 
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/O2LP_LONG_00000075_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/O2LP_LONG_00000075_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/1_O2LP_LONG_00000150_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/1_O2LP_LONG_00000150_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/O2AGRIF_LONG_00000075_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/O2AGRIF_LONG_00000075_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/1_O2AGRIF_LONG_00000150_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/1_O2AGRIF_LONG_00000150_restart_ice_${L_NPROC}.nc .
     done
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1223,4 +1241,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2AGRIF_44\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -1263,4 +1282,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2AGRIF_28\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -1313,4 +1333,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AGRIFNOZ_SHORT\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -1355,4 +1376,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AGRIFNO_SHORT\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75